| netctlgui 1.4.7 Qt library which interacts with netctl

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
NetctlInterface Class Reference

The NetctlInterface class provides complex methods to get access to library. More...

Inheritance diagram for NetctlInterface:

## Public Member Functions
| NetctlInterface (const bool debugCmd=false, const QMap< QString, QString > settings=QMap< QString, QString >())
| NetctlInterface class constructor. More...
| ~NetctlInterface ()
| NetctlInterface class destructor. More...
InterfaceAnswer | createProfile (const QString profile, const QMap< QString, QString > settings)
| method which creates and copies profile More...
InterfaceAnswer | connectToEssid (const QString essid, QMap< QString, QString > settings)
| method which connects to ESSID More...
InterfaceAnswer | connectToKnownEssid (const QString essid)
| method which connects to existent profile by ESSID More...
InterfaceAnswer | connectToUnknownEssid (const QString essid, QMap< QString, QString > settings)
| method which creates wireless profile and connects to it More...
InterfaceAnswer | enableProfile (const QString profile)
| method which enables or disables selected profile and returns its status More...
InterfaceAnswer | removeProfile (const QString profile)
| method which removes selected profile More...
InterfaceAnswer | restartProfile (const QString profile)
| method which restarts selected profile and returns its status More...
InterfaceAnswer | startProfile (const QString profile)
| method which starts/stops or switchs to selected profile and returns its status More...
InterfaceAnswer | stopAllProfiles ()
| method which stops all profiles More...
InterfaceAnswer | switchToProfile (const QString profile)
| method which switchs to selected profile and returns its status More...
netctlInformation | information ()
| method which returns general information More...
QMap< QString, QString > | profileSettings (const QString profile)
| method which reads settings from profile More...
netctlCurrent | status ()
| method which returns current status More...

## Detailed Description

The NetctlInterface class provides complex methods to get access to library.

## Constructor & Destructor Documentation

NetctlInterface::NetctlInterface | ( | const bool | debugCmd = `false`,
|  | const QMap< QString, QString > | settings = `QMap< QString, QString >()`
| ) |  |
| explicit

NetctlInterface class constructor.

Parameters

  debugCmd | show debug messages
  settings | default settings. See required keys in other modules

NetctlInterface::~NetctlInterface | ( |  | ) |

NetctlInterface class destructor.

## Member Function Documentation

InterfaceAnswer NetctlInterface::connectToEssid | ( | const QString | essid,
|  | QMap< QString, QString > | settings
| ) |  |

method which connects to ESSID

Remarks
  netctl independ

Parameters

  essid | point ESSID
  settings | profile settings (Security, ESSID, Key and Hidden are required)

Returns
  InterfaceAnswer::False if profile is inactive
  InterfaceAnswer::True if profile is active
  InterfaceAnswer::Error if an error occurs

InterfaceAnswer NetctlInterface::connectToKnownEssid | ( | const QString | essid | ) |

method which connects to existent profile by ESSID

Remarks
  netctl independ

Parameters

  essid | point ESSID

Returns
  InterfaceAnswer::False if profile is inactive
  InterfaceAnswer::True if profile is active
  InterfaceAnswer::Error if an error occurs

InterfaceAnswer NetctlInterface::connectToUnknownEssid | ( | const QString | essid,
|  | QMap< QString, QString > | settings
| ) |  |

method which creates wireless profile and connects to it

Remarks
  netctl independ

Parameters

  essid | point ESSID
  settings | profile settings (Security, ESSID, Key and Hidden are required)

Returns
  InterfaceAnswer::False if profile is inactive
  InterfaceAnswer::True if profile is active
  InterfaceAnswer::Error if an error occurs

InterfaceAnswer NetctlInterface::createProfile | ( | const QString | profile,
|  | const QMap< QString, QString > | settings
| ) |  |

method which creates and copies profile

Remarks
  netctl independ

Parameters

  profile | profile name
  settings | profile settings

Returns
  InterfaceAnswer::False if profile cannot be created
  InterfaceAnswer::True if profile is created
  InterfaceAnswer::Error if an error occurs

InterfaceAnswer NetctlInterface::enableProfile | ( | const QString | profile | ) |

method which enables or disables selected profile and returns its status

Remarks
  netctl only

Parameters

  profile | profile name

Returns
  InterfaceAnswer::False if profile is disabled
  InterfaceAnswer::True if profile is enabled
  InterfaceAnswer::Error if an error occurs

netctlInformation NetctlInterface::information | ( |  | ) |

method which returns general information

Remarks
  both netctl and netctl-auto

Returns
  netctlInformation structure

QMap<QString, QString> NetctlInterface::profileSettings | ( | const QString | profile | ) |

method which reads settings from profile

Parameters

  profile | profile name

Returns
  settings from profile

InterfaceAnswer NetctlInterface::removeProfile | ( | const QString | profile | ) |

method which removes selected profile

Remarks
  netctl independ

Parameters

  profile | profile name

Returns
  InterfaceAnswer::True if profile does not exists anymore
  InterfaceAnswer::Error if an error occurs

InterfaceAnswer NetctlInterface::restartProfile | ( | const QString | profile | ) |

method which restarts selected profile and returns its status

Remarks
  netctl only

Parameters

  profile | profile name

Returns
  InterfaceAnswer::False if profile is inactive
  InterfaceAnswer::True if profile is active
  InterfaceAnswer::Error if an error occurs

InterfaceAnswer NetctlInterface::startProfile | ( | const QString | profile | ) |

method which starts/stops or switchs to selected profile and returns its status

Remarks
  netctl only

Parameters

  profile | profile name

Returns
  InterfaceAnswer::False if profile is inactive
  InterfaceAnswer::True if profile is active
  InterfaceAnswer::Error if an error occurs

netctlCurrent NetctlInterface::status | ( |  | ) |

method which returns current status

Remarks
  both netctl and netctl-auto

Returns
  netctlCurrent structure

InterfaceAnswer NetctlInterface::stopAllProfiles | ( |  | ) |

method which stops all profiles

Remarks
  netctl only

Returns
  InterfaceAnswer::True if there are no errors
  InterfaceAnswer::Error if an error occurs

InterfaceAnswer NetctlInterface::switchToProfile | ( | const QString | profile | ) |

method which switchs to selected profile and returns its status

Remarks
  both netctl and netctl-auto

Parameters

  profile | profile name

Returns
  InterfaceAnswer::False if profile is inactive
  InterfaceAnswer::True if profile is active
  InterfaceAnswer::Error if an error occurs

The documentation for this class was generated from the following file:

- netctlinterface.h